Skip to main content
`Ctrl`+`K`

# DMDAGetStencilWidth

Gets the width of the communication stencil

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetStencilWidth(DM da, PetscInt *width)

Not Collective

## Input Parameter

- da - The `DMDA`

## Output Parameter

- width - The stencil width

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDACreate()`, `DMDestroy()`, `DMDAStencilType`, `DMDA_STENCIL_BOX`, `DMDA_STENCIL_STAR.`

## Level

intermediate

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages